3.6 문자 메시지 / 통합발송
베이스 URL
섹션 제목: “베이스 URL”| 구분 | 접속 URL |
|---|---|
| 상용 | https://api.msghub.uplus.co.kr |
| 검수 | https://api.msghub-qa.uplus.co.kr |
1. 템플릿 목록 조회
섹션 제목: “1. 템플릿 목록 조회”사전에 등록한 템플릿 목록을 조회한다.
1) 요청 (Request)
섹션 제목: “1) 요청 (Request)”URL
섹션 제목: “URL”GET /msg/v1/template/all HTTP/1.1Headers
섹션 제목: “Headers”| Name | Type | 필수 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Query Parameters
섹션 제목: “Query Parameters”| Name | Type | 필수 | 설명 |
|---|---|---|---|
| ch | String | ● | 채널 |
| listCnt | int | ● | 조회할 템플릿 목록 수 |
| pageIdx | int | ● | 페이지 번호 |
2) 응답 (Response)
섹션 제목: “2) 응답 (Response)”Response Body
섹션 제목: “Response Body”| Name | Type | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data | Array | 결과 데이터 목록 |
| data[].tmpltId | String | 템플릿 ID |
| data[].tmpltName | String | 템플릿명 |
| data[].senderType | String | 발송유형 |
| data[].msgKind | String | 메시지구분 |
| data[].msgType | String | 메시지타입 |
| data[].tmpltStatus | String | 템플릿 상태 |
| data[].regDt | String | 등록일자 |
| data[].updDt | String | 수정일자 |
3) 요청 예시 (Sample)
섹션 제목: “3) 요청 예시 (Sample)”Curl
섹션 제목: “Curl”curl -X GET "https://api.msghub.uplus.co.kr/msg/v1/template/all?ch=mms&listCnt=10&pageIdx=1" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}"Response
섹션 제목: “Response”{ "code": "10000", "message": "성공", "data": [ { "tmpltId": "TPL....g4O", "tmpltName": "통합발송테스트_02", "senderType": "통합", "msgKind": "광고성", "msgType": "기본", "tmpltStatus": "완료", "regDt": "2025-12-17 00:00:00", "updDt": null }, { "tmpltId": "TPL....WN", "tmpltName": "통합발송테스트_01", "senderType": "통합", "msgKind": "정보성", "msgType": "기본", "tmpltStatus": "완료", "regDt": "2025-12-17 00:00:00", "updDt": null }, ... ]}2. 통합템플릿 상세 조회
섹션 제목: “2. 통합템플릿 상세 조회”통합발송 템플릿를 상세 조회한다.
1) 요청 (Request)
섹션 제목: “1) 요청 (Request)”URL
섹션 제목: “URL”GET /msg/v1/template/get HTTP/1.1Headers
섹션 제목: “Headers”| Name | Type | 필수 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Query Parameters
섹션 제목: “Query Parameters”| Name | Type | 필수 | 설명 |
|---|---|---|---|
| tmpltId | String | ● | 템플릿 ID |
2) 응답 (Response)
섹션 제목: “2) 응답 (Response)”Response Body
섹션 제목: “Response Body”| Name | Type | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data | Array | 결과 데이터 목록 |
| data[].tmpltCode | String | 템플릿 코드 |
| data[].msgKind | String | 메시지구분 |
| data[].msgType | String | 메시지타입 |
| data[].tmpltTitle | String | 템플릿 제목 |
| data[].tmpltInfo[] | Array | 템플릿정보 |
| data[].tmpltInfo[].ch | String | 템플릿정보 |
| data[].tmpltInfo[].data | String | 채널별 템플릿정보 |
| data[].tmpltInfo[].chTypeList | String | 템플릿에 포함된 채널리스트 |
3) 요청 예시 (Sample)
섹션 제목: “3) 요청 예시 (Sample)”Curl
섹션 제목: “Curl”curl -X GET "https://api.msghub.uplus.co.kr/msg/v1/template/get?tmpltId=TPL....4O" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}"Response
섹션 제목: “Response”{ "code": "10000", "message": "성공", "data": { "tmpltCode": "TPL....4O", "msgKind": "A", "msgType": "BASE", "tmpltTitle": "통합발송테스트_01", "tmpltInfo": [ { "ch": "RCS", "data": { "footer": "01000000001", "header": "1", "brandNm": "BR.zv....ot", "buttons": [ {} ], "agencyId": "uplus", "callback": "020000001", "mergeData": [ { "description": "통합발송 RCS 테스트입니다." } ], "rcsPrdType": "SMS", "copyAllowed": "false", "expiryOption": "2", "messagebaseId": "SS000000" }, "chTypeList": "RCS,KAKAO" }, { "ch": "FRIENDTALK", "data": { "msg": "통합발송 친구톡 테스트입니다.", "image": {}, "adFlag": "Y", "buttons": [], "kkoChId": "@카카오채널id", "callback": "1", "wideImageYn": "N", "senderKeyType": "" }, "chTypeList": "RCS,KAKAO" } ] }}